#
# spec file for package pulseaudio-dlna
#
# Copyright (c) 2015-2016 Packman Team <packman@links2linux.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.links2linux.org/
#

%define pkgversion 0.6.0

Name:           pulseaudio-dlna
Version:        0.6.0+git20190209.b0db813
Release:        1.5
Summary:        A DLNA server which brings DLNA/UPnP support to PulseAudio
License:        GPL-3.0
Group:          Productivity/Multimedia/Sound/Utilities
Url:            https://github.com/masmu/%{name}
Source:         %{name}-%{version}.tar.xz
BuildRequires:  python3-setuptools
Requires:       dbus-1-python3 >= 1.2.0
Requires:       faac >= 1.28
Requires:       flac >= 1.3.0
Requires:       lame >= 3.99.0
Requires:       opus-tools >= 0.1.8
Requires:       pulseaudio
Requires:       python3 >= 3.6
Requires:       python3-chardet >= 3.0.4
Requires:       python3-docopt >= 0.6.1
Requires:       python3-gobject >= 3.12.0
Requires:       python3-lxml >= 3
Requires:       python3-netifaces >= 0.10
Requires:       python3-notify2 >= 0.3
Requires:       python3-psutil >= 5.4.7
Requires:       python3-PyChromecast >= 2.3.0
Requires:       python3-pyroute2 >= 0.3.5
Requires:       python3-requests >= 2.2.1
Requires:       python3-setproctitle >= 1.1.10
Requires:       python3-setuptools
Requires:       sox >= 14.4.1
Requires:       vorbis-tools >= 1.4.0
Recommends:     ffmpeg
Suggests:       python3-cairo >= 1.8.8
Suggests:       python3-rsvg >= 2.32.0
Suggests:       python3-gtk >= 2.24.0
Suggests:       python3-PyChromecast >= 2.24.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is pulseaudio-dlna. A small DLNA server which brings DLNA / UPnP and
Chromecast support to PulseAudio and Linux.

It can stream your current PulseAudio playback to different UPnP devices (UPnP
Media Renderers) in your network. Its main goals are: easy to use, no
configuration hassle, no big dependencies.

%prep
%setup -q

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%doc README.md LICENSE
%{_bindir}/%{name}
%{python3_sitelib}/pulseaudio_dlna-%{pkgversion}-py%{py3_ver}.egg-info/
%{python3_sitelib}/pulseaudio_dlna/
%{_mandir}/man1/%{name}.1%{?ext_man}

%changelog
* Wed Mar  4 2020 Antonio Larrosa <antonio.larrosa@gmail.com>
- Get the sources from the python3 branch upstream.
- Update dependencies accordingly to not require any python2 package.
* Fri Apr  1 2016 antoine.belvire@laposte.net
- Update to 0.5.2:
  * Catch an exception when record processes cannot start properly
  * Fix the --filter-device option (0.5.1)
  * Prioritize mp3 over flac for Chromecasts (0.5.1)
- Remove pulseaudio-dlna-0.5.0-fix-filter-device-option.patch
* Wed Mar 30 2016 antoine.belvire@laposte.net
- Add pulseaudio-dlna-0.5.0-fix-filter-device-option.patch: fix
  - -device-filter option.
* Wed Mar  9 2016 antoine.belvire@laposte.net
- Update to 0.5.0.1:
  * Set Yamaha devices to the appropriate mode before playing
    (thanks to hlchau) (new dependency: python-lxml)
  * Fix a bug where some SSDP messages could not get parsed
    correctly
  * Also support media renderers identifying as
    urn:schemas-upnp-org:device:MediaRenderer:2
  * Add the --disable-workarounds flag
  * Add the --auto-reconnect flag
  * Add the --encoder-backend option (new optional dependency:
    ffmpeg)
  * Remove shared encoder processes
  * Increase the default HTTP timeout to 15 seconds
  * Fix a bug where manually added renderers could appear twice
  * Add device state polling for devices which start playing on
    their own
  * Add the flac encoder for Google Chromecast
  * Add support for Google Cast Groups (new dependency
    python-zeroconf)
  * Remove dependency python-beautifulsoup
  * Fix a bug where bytes were not decoded properly to unicode
* Tue Jan  5 2016 antoine.belvire@laposte.net
- Add python-setuptools as requirement (boo#960622)
* Sun Nov 22 2015 antoine.belvire@laposte.net
- Update to 0.4.7:
  * The application can now co-exist with other applications which
    are using the port 1900/udp (thanks to klaernie)
  * Fix the daemon mode to support psutil 1.x and 2.x (thanks to
    klaernie)
  * HTML entities in device descriptions are now converted
    automatically
  * Faster and more reliable device discovery (new dependency
    python-netifaces)
  * Add the --cover-mode option, one mode requires (optional)
    dependencies gtk, cairo, rsvg
  * L16 codecs are now selected better (e.g. needed for XBox 360)
  * Fix a bug where sometimes it was tried to remove sinks twice
    on cleanup
  * Add the --update-device-config flag
  * Add the --ssdp-ttl, --ssdp-mx, --ssdp-amount options
  * Add the --msearch-port option
* Fri Oct 23 2015 antoine.belvire@laposte.net
- Update to 0.4.6:
  * Add support for Google Chromecast Audio (thanks to
    leonhandreke)
  * Fix a bug where devices which does not specifiy control urls
    made the application crash
  * Add the --disable-device-stop flag
  * Add the --request-timeout option
  * You can now also add rules to renderers (e.g.
    DISABLE_DEVICE_STOP, REQUEST_TIMEOUT)
  * Fix a bug where stream urls where not parsed correctly
  * Fix a bug which made a Chomecast Audio throwing exceptions
    while stopping
  * Fix a bug where the system's default encoding could not be
    determined when piping the applications output
* Mon Sep 21 2015 antoine.belvire@laposte.net
- Update to 0.4.5.2:
  * Fix a bug where the encoding of SSDP headers was not detected
    correctly
  * New dependency: python-chardet >= 2.0.1
* Mon Sep 21 2015 antoine.belvire@laposte.net
- Add new dependency: python-futures >= 2.1.6
* Sun Sep 20 2015 antoine.belvire@laposte.net
- Update to 0.4.5:
  * Exceptions while updating sink and device information from
    pulseaudio are now handled better
  * Change --fake-http10-content-length flag to --fake-http-content-length
    to also support HTTP 1.1 requests
  * Fix a bug where the supported device mime types could not get
    parsed correctly
  * Fix a bug where the device UUID was not parsed correctly
  * Fix a bug where just mime types beginning with audio/ were
    accepted, but not e.g. application/ogg
  * The stream server will now respond with 206 when receiving
    requests with range header
  * UPNP control commands have now a timeout of 10 seconds
  * Fix a bug where the wrong stream was removed from the stream
    manager
  * Fix several bugs caused by purely relying on stopping actions
    for the devices idle state
  * Add L16 Encoder
  * The encoder option can now handle multiple options separated by
    comma
  * Add the --create-device-config flag
  * Fix a bug where the dbus session was bound from the wrong
    process
  * Fix a bug where the wrong device UDN was retrieved from XML
    documents containing multiple devices
* Sat Aug  8 2015 antoine.belvire@laposte.net
- Update to 0.4.4:
  * Add --disable-ssdp-listener option
  * Fix a bug with applications which remove and re-add streams all
    the time
  * Add a missing dependency: python-psutil
* Tue Aug  4 2015 antoine.belvire@laposte.net
- Update to 0.4.3:
  * Fix a bug when trying to terminate an encoder process
  * Catch exceptions when trying to update pulseaudio sinks
  * Fix a timing issue where the streamserver was not ready but
    devices were already instructed to play
- Changes introduced in 0.4.2:
  * The mp3 encoder is now prioritize over wav
  * Add '--disable-switchback' option
  * Wav encoders do not longer share their encoder process
* Wed Jul 29 2015 antoine.belvire@laposte.net
- Update to 0.4.1:
  * Fix Makefile for Launchpad
- Changes introduced in 0.4.0:
  * Add the --fake-http10-content-length option
  * The application can now run as root
  * Catch pulseaudio exceptions for streams, sinks and modules when
    those are gone
  * Fix a bug where a missing ssdp header field made the application
    crash
  * New devices are added now during runtime (thanks to coder-hugo)
  * Rewrite of the streaming server
  * UPnP devices can now request their audio format based on their
    capabilities
  * Add AAC encoder
  * If a device stops playing, the streams currently playing on the
    corresponding sink are switched back to the default sink
  * If a device fails to start playing, streams currently playing
    on the corresponding sink are switched back to the default sink
  * Add Chromecast support (new dependency: python-protobuf)
  * Fix a bug where the application crashed when there was no
    suitable encoder found
  * Add the --bit-rate option
  * Add additional headers for DLNA devices
  * Add switch back mode also for sinks, not just for streams (new
    dependency: python-notify2)
  * Add better logging
  * Validate encoders for installed dependencies
- Clean spec file with spec-cleaner
* Fri Apr 10 2015 antoine.belvire@laposte.net
- Update to 0.3.5:
  * Fix a bug where Sonos description XML could not get parsed
    correctly
* Tue Mar 24 2015 antoine.belvire@laposte.net
- Update to 0.3.4:
  * Fix Makefile for Launchpad
  * Add --filter-device option (0.3.3)
  * Send 2 SSDP packets by default for better UPnP device discovery
    (0.3.3)
  * Add virtualenv for local installation (0.3.3)
* Fri Mar 20 2015 antoine.belvire@laposte.net
- Update to 0.3.2:
  * Add the Opus Encoder (new dependency: opus-tools)
  * Fix a bug where an empty UPnP device name made the application
    crash
  * Add a missing dependency (python-gobject)
* Sun Feb 22 2015 antoine.belvire@laposte.net
- New package for pulseaudio-dlna 0.3.1
- See /usr/share/doc/packages/pulseaudio-dlna/changelog for
  previous changes
